Bug 624314 - Firewire problem with Sony camcorder
Firewire problem with Sony camcorder
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-15 20:25 EDT by Karl S.
Modified: 2011-06-28 10:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl S. 2010-08-15 20:25:30 EDT
I plug in camcorder and kernel does detect it, but /dev/fw1 is not created.

Putting the module in debug mode:
 echo -1 > /sys/module/firewire_ohci/parameters/debug

produces this in /var/log/messages:

Aug 15 17:05:18 xxx kernel: firewire_ohci: IRQ 00200000 cycle64Seconds
Aug 15 17:05:38 xxx kernel: firewire_ohci: IRQ 00000010 AR_req
Aug 15 17:05:38 xxx kernel: firewire_ohci: AR evt_bus_reset, generation 236
Aug 15 17:05:38 xxx kernel: firewire_ohci: IRQ 00000010 AR_req
Aug 15 17:05:38 xxx kernel: firewire_ohci: AR evt_bus_reset, generation 236
Aug 15 17:05:38 xxx kernel: firewire_ohci: IRQ 00000010 AR_req
Aug 15 17:05:38 xxx kernel: firewire_ohci: AR evt_bus_reset, generation 237
Aug 15 17:05:38 xxx kernel: firewire_ohci: IRQ 00000010 AR_req
 [repeats many times until I unplug the camera]

I just upgraded this machine to F13 from F12.  The system is fully patched.  My user has been added to disk and video groups.

01:03.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)

Camera is Sony DCR-HC52 (only a few months old).  I have gotten this camcorder to work a few times before under F12.
Comment 1 Stefan Richter 2010-08-16 02:47:03 EDT
Could you install the kernel of F12 alongside that of F13, boot the old kernel, and see whether it still works?

If it does, what are the versions of the working kernel and non-working kernel?
Comment 2 Stefan Richter 2010-08-16 02:48:17 EDT
(Or test boot an F12 live CD, if something like that exists.)
Comment 3 Stefan Richter 2010-08-16 02:50:23 EDT
And another thought:  What does modinfo firewire-ohci show on F13?
Comment 4 Karl S. 2010-08-16 10:15:25 EDT
modinfo shows this:

filename:       /lib/modules/2.6.33.6-147.2.4.fc13.i686/kernel/drivers/firewire/firewire-ohci.ko
alias:          ohci1394
license:        GPL
description:    Driver for PCI OHCI IEEE1394 controllers
author:         Kristian Hoegsberg <krh@bitplanet.net>
srcversion:     0D6AA975A7073410B03068A
alias:          pci:v*d*sv*sd*bc0Csc00i10*
depends:        firewire-core
vermagic:       2.6.33.6-147.2.4.fc13.i686 SMP mod_unload 686 
parm:           debug:Verbose logging (default = 0, AT/AR events = 1, self-IDs = 2, IRQs = 4, busReset events = 8, or a combination, or all = -1) (int)

Not sure about installing an old kernel - that might be over my head :)
Comment 5 Karl S. 2010-09-05 14:47:31 EDT
An update on this.  I happen to try logging in as root and plugging in the camera.  I now get a message "giving up on config rom".  I did not see this with a normal user (despite adding the user to the disk and video groups).
Comment 6 Stefan Richter 2010-09-05 16:43:09 EDT
The user under which you log in should not matter.  Except perhaps that some firewire-aware programs are started or not started, I don't know.

Strangely enough, we did actually add a fix to kernel 2.6.33.6 that specifically fixed a problem with some (presumably older) Sony camcorders.
http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6-stable.git;a=commitdiff;h=896457128ac63394d9841a265627b1fea84a0250

Could you please gather a kernel log again with firewire-ohci's debug logging switched on and attach it here?
Comment 7 Stefan Richter 2010-09-15 02:43:54 EDT
Note to self:  The change mentioned in comment 6 is not in effect here.  Comment 5 says that the Configuration ROM of the camcorder could not be read.  The new branch in commit 89645712 is only entered if the remote node's Configuration ROM exists.

Karl, please attach the kernel log with firewire-ohci's debug parameter set to -1.
Comment 8 Bug Zapper 2011-06-01 07:25:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-28 10:34:45 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.